﻿'This file is part of No Screen Saver or XScrSave, a utility to temporarily prevent powersaving and screensaver features from activating.
'Copyright (C) 2008 Nathan Tuggy <mailto:nathan@tuggycomputer.com>
'
'This program is free software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program.  If not, see <http://www.gnu.org/licenses/>.

Public Class nsSelectPowerSave
    Private Sub chkDisplay_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkDisplay.CheckedChanged
        DisplayRequisitioned = chkDisplay.Checked
    End Sub

    Private Sub chkSystem_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkSystem.CheckedChanged
        SystemRequisitioned = chkScreenSaver.Checked
    End Sub

    Private Sub chkScreenSaver_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkScreenSaver.CheckedChanged
        ScreenSaver = chkScreenSaver.Checked
    End Sub

    Private Sub nsSelectPowerSave_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        chkDisplay.Checked = False
        chkSystem.Checked = False
        chkScreenSaver.Checked = True
    End Sub

    Private Sub nsSelectPowerSave_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        chkDisplay.Checked = True
        chkSystem.Checked = True
        chkScreenSaver.Checked = False
    End Sub
End Class